[mb-commits] branch, vagrant, created. Add a standalone service for Vagrant/VMs

MusicBrainz Git Server <[email protected]>
Newsgroups gmane.comp.audio.musicbrainz.cvs
Message-ID <E1TTvTl-0003OI-S2@wiley>
The branch, vagrant has been created
        at  9f6f18fbd9a8310555f356a2affacda73dc6597b (commit)

- Log -----------------------------------------------------------------
commit 9f6f18fbd9a8310555f356a2affacda73dc6597b
Author: Oliver Charles <[email protected]>
Date:   Thu Nov 1 14:10:29 2012 +0000

    Add a standalone service for Vagrant/VMs

diff --git a/admin/nginx/service-standalone/log/run b/admin/nginx/service-standalone/log/run
new file mode 100755
index 0000000..156ba2e
--- /dev/null
+++ b/admin/nginx/service-standalone/log/run
@@ -0,0 +1,20 @@
+#!/bin/bash
+mkdir -p ./main ./oddlog ./errors
+exec multilog t \
+    +'*' s1000000 n50 ./main \
+    +'*' \
+    -'* Process memory information:*' \
+    -'* [warning] Found size is *' \
+    -'* [warning] Checking Memory Size*' \
+    -'* [warning] Process Info:*' \
+    -'* .------*' \
+    -'* | PID    | VIRT *' \
+    -'* +--------+------*' \
+    -'* |*|*|*| perl-fcgi       |' \
+    -"* '--------+---*" \
+    -'* FastCGI: *' \
+    -'* [warning] wizard session, *' \
+    -'* [error] wizard session, *' \
+    -'* [warning] * is bigger than: *' \
+    -'*$msgid in substitution*' \
+    ./oddlog \
diff --git a/admin/nginx/service-standalone/run b/admin/nginx/service-standalone/run
new file mode 100755
index 0000000..5598dcd
--- /dev/null
+++ b/admin/nginx/service-standalone/run
@@ -0,0 +1,11 @@
+#!/bin/bash
+echo starting
+exec 2>&1
+set -e
+cd mb_server
+umask 022
+exec \
+    setuidgid musicbrainz \
+        plackup -Ilib \
+            --port 5000
+

-----------------------------------------------------------------------


hooks/post-receive
-- 
mb_server
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.